/*
 * 作成日: 2005/05/10
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */

/**
 * @author ゆい
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;

import java.net.Socket;

//メインクラス
public class Aji2 {
	
	protected static Socket socket = null;
	public static void main(String[] args) throws Exception{
		Singleton instance = Singleton.getInstance();
		//socket = new Socket("192.168.100.10",54321);
		BaseWin win = new BaseWin("味のみちしるべ Client Edition 0.1");
		
		MainWin mainWin = new MainWin();
		mainWin.make_Win();
		
		//SearchSel searchSel = new SearchSel();
		//searchSel.make_Search();
		
		//SearchName searchName = new SearchName();
		//searchName.make_SearchName();
		
		//SearchEtc searchEtc = new SearchEtc();
		//searchEtc.make_SearchEtc();
		
		//SearchNameList searchNameList = new SearchNameList();
		//searchNameList.make_SearchNameList();
		
		//SearchMate sm = new SearchMate();
		//SearchMateTest smt = new SearchMateTest();
		
		win.setStatBar();
		instance.getShell().open();
		while(!instance.getShell().isDisposed()){//閉じるまでWindowを維持
			if(!instance.getDisplay().readAndDispatch()){
				instance.getDisplay().sleep();
			}
		}
		instance.getDisplay().dispose();
		//socket.close();
	}
	public void setWin(Window win){
		
	}
}
